export function slimeSkin(entity, Vector) {
    if (entity.typeId == 'minecraft:slime') {
        const { x, y, z } = entity.location;
        if (entity.dimension.id == 'minecraft:the_end') {
            const blockBiome = entity.dimension.getBlock(new Vector(x, y - 1, z));
            const bB = ["betterend:amber_moss", "betterend:chorus_nylium", "betterend:end_moss_lakes", "betterend:end_moss"];
            const sE = ["slime_amber", "slime_chorus", "slime_megalake", "slime_foggy"];
            for (let i = 0; i < bB.length; i++) {
                if (blockBiome.typeId == bB[i] && !entity.hasTag(bB[i])) {
                    entity.addTag(bB[i]);
                    entity.triggerEvent(sE[i]);
                }
                else if (blockBiome.typeId == bB[i] && entity.hasTag(bB[i])) {
                    entity.addTag(bB[i]);
                }
                else {
                    entity.removeTag(bB[i]);
                }
            }
        }
    }
}
